Query Exchange Rate

Query Payment Fee And Exchange Rate

POST /v1/payments/fee

Request Body

{
  "instructed_amount": {
    "amount": 10,
    "currency": "String"
  },
  "exchange": {
    "origin_currency": "String",
    "target_currency": "String"
  },
  "payer_id": "String",
  "type": "WITHDRAW"
}
ParameterTypeRequriedDescription
instructed_amount.currencystringYesthe currency code. See section Appendix B - Currency Codes for the currencyies enum.
instructed_amount.amountNumberYesReceived amount
exchange.origin_currencystringYesPayer account currency. See section Appendix B - Currency Codes for the currencyies enum.
exchange.target_currencystringYesReceiver account currency. See section Appendix B - Currency Codes for the currencyies enum.
payer_idstringYesPingPong user id
typestringYesWITHDRAW. More info See section Appendix H - Payment Type for the type enum.

Response

query transaction fee and exchange rate. query and create transaction api association through lock_fee_id

Usage: Exchange,Withdraw,Supplier Pay

{
  "lock_rate_id": "xxxxx",
  "avail_money": {
    "amount": 173999.73,
    "currency": "USD"
  },
  "exchange": {
    "exchange_rate": 4.42865,
    "origin_currency": "USD",
    "target_currency": "VND"
  },
  "pay_money": {
    "amount": 100.0,
    "currency": "USD"
  },
  "service_charge": {
    "final_fee": {
      "amount": 6.0,
      "currency": "USD"
    },
    "cut_fee": {
      "amount": 0.0,
      "currency": "USD"
    },
    "fee": {
      "amount": 1.0,
      "currency": "USD"
    },
    "fix_fee": {
      "amount": 5,
      "currency": "USD"
    },
    "less_than_min_payout_fee": {
      "amount": 0,
      "currency": "USD"
    }
  },
  "target_money": {
    "amount": 420,
    "currency": "VND"
  }
}

Refer section API Response for other HTTP status codes.

ParameterTypeDescription
lock_rate_idstringUnique ID for create single Payout
avail_moneyjsonPingPong account Available balance
exchange.exchange_rateStringexchange rate
pay_moneyjsonPingPong account should pay amount of money
target_moneyJsonReceiver finally will receiver amount of money
service_charge.final_feejsonPingPong Service Charge